Run Research
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-research \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"instructions": "Analyze the company and identify the main risks.",
"settings": {
"country_code": "us",
"search_enabled": true,
"deepsearch_model": "base",
"finalizer_model": "gemini-3.0-pro"
}
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-research"
payload = {
"instructions": "Analyze the company and identify the main risks.",
"settings": {
"country_code": "us",
"search_enabled": True,
"deepsearch_model": "base",
"finalizer_model": "gemini-3.0-pro"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
instructions: 'Analyze the company and identify the main risks.',
settings: {
country_code: 'us',
search_enabled: true,
deepsearch_model: 'base',
finalizer_model: 'gemini-3.0-pro'
}
})
};
fetch('https://api.neuralverge.ai/functions/v1/run-research', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111"
}AI Research
Run Research
Starts the full research workflow and returns a session id immediately.
POST
/
functions
/
v1
/
run-research
Run Research
⌘I